com.marklogic.xcc.types

## Interface XdmProcessingInstruction

- All Superinterfaces:
    XdmItem, XdmNode, XdmValue

      public interface XdmProcessingInstruction
      extends XdmNode

  An XQuery value which is a processing-instruction().

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.w3c.dom.ProcessingInstruction` | `asW3cProcessingInstruction()`
    `org.w3c.dom.ProcessingInstruction` | `asW3cProcessingInstruction(javax.xml.parsers.DocumentBuilder docBuilder)`

    - ### Methods inherited from interface com.marklogic.xcc.types.XdmNode

      `asW3cNode, asW3cNode`

    - ### Methods inherited from interface com.marklogic.xcc.types.XdmItem

      `asInputStream, asReader, getItemType, isCached, writeTo, writeTo`

    - ### Methods inherited from interface com.marklogic.xcc.types.XdmValue

      `asString, getValueType`

- - ### Method Detail

    - #### asW3cProcessingInstruction

          org.w3c.dom.ProcessingInstruction asW3cProcessingInstruction(javax.xml.parsers.DocumentBuilder docBuilder)
                                                                throws java.io.IOException,
                                                                       org.xml.sax.SAXException

      Throws:
        `java.io.IOException`
        `org.xml.sax.SAXException`

    - #### asW3cProcessingInstruction

          org.w3c.dom.ProcessingInstruction asW3cProcessingInstruction()
                                                                throws javax.xml.parsers.ParserConfigurationException,
                                                                       java.io.IOException,
                                                                       org.xml.sax.SAXException

      Throws:
        `javax.xml.parsers.ParserConfigurationException`
        `java.io.IOException`
        `org.xml.sax.SAXException`

Copyright © 2025 MarkLogic Corporation. All Rights Reserved.

Complete online documentation for MarkLogic Server, XQuery and related components may be found at developer.marklogic.com